/**
  *  \file client/tiles/planetcolonist.h
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_PLANETCOLONIST_H
#define PCC_V2_CLIENT_TILES_PLANETCOLONIST_H

#include "client/wtile.h"
#include "ui/table.h"

class WPlanetColonistTile : public WObjectSelectionObserverTile {
    void drawPlanetColonistTile(UIAbstractTableWriter& w);
    ObjectHolder h;
 public:
    WPlanetColonistTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

class WNarrowPlanetColonistTile : public WObjectSelectionObserverTile {
 public:
    WNarrowPlanetColonistTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

#endif
